Permalink
Browse files

Rev version to 2.0.5

  • Loading branch information...
jrburke committed Aug 8, 2012
1 parent 25bff36 commit 416b3ad094024c5efad99681b370248d9cb15e83
Showing with 27 additions and 10 deletions.
  1. +1 −1 dist/post.html
  2. +1 −1 dist/pre.html
  3. +23 −6 docs/download.html
  4. +2 −2 require.js
View
@@ -1,6 +1,6 @@
</div>
<div id="footer" class="mono">
- <span class="line">Latest Release: <a href="http://requirejs.org/docs/download.html">2.0.4</a></span>
+ <span class="line">Latest Release: <a href="http://requirejs.org/docs/download.html">2.0.5</a></span>
<span class="line">Open source: <a href="https://github.com/jrburke/requirejs/blob/master/LICENSE">new BSD or MIT licensed</a></span>
<span class="line">web design by <a href="http://andychung.ca">Andy Chung</a> &copy; 2011</span>
</div>
View
@@ -167,7 +167,7 @@ <h1>a javascript module loader</h1>
<ul>
- <li class="version">2.0.4 Docs (<a href="https://github.com/jrburke/requirejs/wiki/Upgrading-to-RequireJS-2.0">upgrade info</a>)</li>
+ <li class="version">2.0.5 Docs (<a href="https://github.com/jrburke/requirejs/wiki/Upgrading-to-RequireJS-2.0">upgrade info</a>)</li>
<li class="version"><a class="local" href="1.0/">1.0 Doc Link</a></li>
</ul>
View
@@ -27,20 +27,20 @@ <h2><a name="latest">Latest Release</a><span class="sectionMark">&sect; 1</span>
<div class="subSection">
<h4 class="hbox">
-<a name="requirejs">require.js 2.0.4</a>
+<a name="requirejs">require.js 2.0.5</a>
<span class="boxFlex"></span>
-<a class="download" href="http://requirejs.org/docs/release/2.0.4/minified/require.js">Minified</a>
-<a class="download" href="http://requirejs.org/docs/release/2.0.4/comments/require.js">With Comments</a>
+<a class="download" href="http://requirejs.org/docs/release/2.0.5/minified/require.js">Minified</a>
+<a class="download" href="http://requirejs.org/docs/release/2.0.5/comments/require.js">With Comments</a>
</h4>
<p>All you need to start using require.js in the browser.</p>
</div>
<div class="subSection">
<h4 class="hbox">
-<a name="samplejquery">Sample RequireJS 2.0.4 + jQuery 1.7.2 project</a>
+<a name="samplejquery">Sample RequireJS 2.0.5 + jQuery 1.7.2 project</a>
<span class="boxFlex"></span>
-<a class="download" href="http://requirejs.org/docs/release/jquery-require/jquery1.7.2-requirejs2.0.4/jquery-require-sample.zip">Download</a>
+<a class="download" href="http://requirejs.org/docs/release/jquery-require/jquery1.7.2-requirejs2.0.5/jquery-require-sample.zip">Download</a>
</h4>
<p>A zip file containing a sample project that uses jQuery and RequireJS.</p>
@@ -51,7 +51,7 @@ <h4 class="hbox">
<h4 class="hbox">
<a name="rjs">r.js: Optimizer and Node and Rhino adapter</a>
<span class="boxFlex"></span>
-<a class="download" href="http://requirejs.org/docs/release/2.0.4/r.js">Download</a>
+<a class="download" href="http://requirejs.org/docs/release/2.0.5/r.js">Download</a>
</h4>
<p>The r.js file allows you to run the optimizer as well as run modules in Node or Rhino.</p>
@@ -110,6 +110,23 @@ <h4 class="hbox">
<div class="section">
<h2><a name="releasenotes">Release Notes</a><span class="sectionMark">&sect; 3</span></h2>
+<h3 id="2-0-5">2.0.5</h3>
+
+<p>Probably the most notable changes:</p>
+
+<ul>
+ <li>require.js: fix for <a href="https://github.com/jrburke/requirejs/issues/392">a 'use strict' issue in Safari 6</a>: should only show up in certain non-optimized scenarios.</li>
+ <li>r.js optimizer: changed over to <a href="http://esprima.org/">esprima</a> for all dependency tracing. This set the stage for allowing some forms of <a href="https://github.com/jrburke/r.js/issues/72">JavaScript 1.8 to be optimized</a>, with the
+ help of some regexps.</li>
+</ul>
+
+<p>Complete list of fixes:</p>
+
+<ul>
+ <li><a href="https://github.com/jrburke/requirejs/issues?milestone=19&sort=created&direction=desc&state=closed">Fixed require.js issues</a></li>
+ <li><a href="https://github.com/jrburke/r.js/issues?sort=created&direction=desc&state=closed&page=1&milestone=17">Fixed r.js optimizer issues</a></li>
+</ul>
+
<h3 id="2-0-4">2.0.4</h3>
<p>Same as 2.0.3, but rolled back a change in r.js that caused a logging error.</p>
View
@@ -1,5 +1,5 @@
/** vim: et:ts=4:sw=4:sts=4
- * @license RequireJS 2.0.4+ Copyright (c) 2010-2012, The Dojo Foundation All Rights Reserved.
+ * @license RequireJS 2.0.5 Copyright (c) 2010-2012, The Dojo Foundation All Rights Reserved.
* Available via the MIT or new BSD license.
* see: http://github.com/jrburke/requirejs for details
*/
@@ -12,7 +12,7 @@ var requirejs, require, define;
(function (global) {
var req, s, head, baseElement, dataMain, src,
interactiveScript, currentlyAddingScript, mainScript, subPath,
- version = '2.0.4+',
+ version = '2.0.5',
commentRegExp = /(\/\*([\s\S]*?)\*\/|([^:]|^)\/\/(.*)$)/mg,
cjsRequireRegExp = /[^.]\s*require\s*\(\s*["']([^'"\s]+)["']\s*\)/g,
jsSuffixRegExp = /\.js$/,

0 comments on commit 416b3ad

Please sign in to comment.